Genivia - wsdd__AppSequenceType Struct Reference

|  | Home | Documentation | wsdd__AppSequenceType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__AppSequenceType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":AppSequenceType is a complexType with complexContent restriction of XSD type xs:anyType. More...

`#include <wsdd.h>`

## Public Attributes
unsigned int | InstanceId
| Attribute "InstanceId" of XSD type xs:unsignedInt. More...
char * | SequenceId
| Attribute "SequenceId" of XSD type xs:anyURI. More...
unsigned int | MessageNumber
| Attribute "MessageNumber" of XSD type xs:unsignedInt. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":AppSequenceType is a complexType with complexContent restriction of XSD type xs:anyType.

struct wsdd__AppSequenceType operations:

- wsdd__AppSequenceType* soap_new_wsdd__AppSequenceType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__AppSequenceType(struct soap*, wsdd__AppSequenceType*) default initialize members
- int soap_read_wsdd__AppSequenceType(struct soap*, wsdd__AppSequenceType*) deserialize from a source
- int soap_write_wsdd__AppSequenceType(struct soap*, wsdd__AppSequenceType*) serialize to a sink
- wsdd__AppSequenceType* soap_dup_wsdd__AppSequenceType(struct soap*, wsdd__AppSequenceType* dst, wsdd__AppSequenceType <em>src) returns deep copy of wsdd__AppSequenceType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__AppSequenceType(wsdd__AppSequenceType) deep deletes wsdd__AppSequenceType data members, use only on dst after soap_dup_wsdd__AppSequenceType(NULL, wsdd__AppSequenceType *dst, wsdd__AppSequenceType *src) (use soapcpp2 -Ed)

## Member Data Documentation

unsigned int wsdd__AppSequenceType::InstanceId

Attribute "InstanceId" of XSD type xs:unsignedInt.

Required attribute.

unsigned int wsdd__AppSequenceType::MessageNumber

Attribute "MessageNumber" of XSD type xs:unsignedInt.

Required attribute.

char* wsdd__AppSequenceType::SequenceId

Attribute "SequenceId" of XSD type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- wsdd.h